Bluebeam Installation Prerequisites; Microsoft .NET Framework and Windows Installer

Summary

How to download the Bluebeam installation prerequisites.

Relevant Products

Bluebeam software

The Bluebeam installation should include or download and install these prerequisites without any action being required from the user. There are some times when downloading the files directly from Microsoft is required; e.g., when a computer does not have Internet access or when the automatic download fails. The download locations are below.


Bluebeam Revu 2018

Microsoft .NET Framework 4.6.1 is required. It is included as part of the Revu installation file and will be installed if .NET 4.6.1 or higher isn’t already installed on the machine.


Bluebeam Revu 2015 to 2017.x

The Microsoft .NET Framework 4.5 is required. It is included as part of the Revu installation file and will be installed .NET 4.5 or higher isn’t already installed on the machine.


Bluebeam Revu 12

Limited Support

Support for this version is limited to basic workflow and feature questions. See our Technical Support Overview for more information.

The Microsoft .NET Framework 4.5 Client Profile is required.


Bluebeam Revu 11

Limited Support

Support for this version is limited to basic workflow and feature questions on Windows operating systems currently supported by Microsoft. Please refer to the Bluebeam Technical Support Overview for more information.

The Microsoft .NET Framework 4 Client Profile is required.

The Microsoft .NET Framework 4 can also be used.

Windows Installer 4.5 is required on Windows XP and Vista.


Bluebeam Revu 9.5 and 10

Limited Support

Support for these versions is limited to basic workflow and feature questions on Windows operating systems currently supported by Microsoft. Please refer to the Bluebeam Technical Support Overview for more information.

Bluebeam Revu 9.2 (9.2.0 and 9.2.1)

Limited Support

Support for this version is limited to basic workflow and feature questions on Windows operating systems currently supported by Microsoft. Please refer to the Bluebeam Technical Support Overview for more information.

Bluebeam Revu 9.0

Limited Support

Support for this version is limited to basic workflow and feature questions on Windows operating systems currently supported by Microsoft. Please refer to the Bluebeam Technical Support Overview for more information.

Bluebeam Revu 8

Limited Support

Support for this version is limited to basic workflow and feature questions on Windows operating systems currently supported by Microsoft. Please refer to the Bluebeam Technical Support Overview for more information.

Bluebeam Revu 7

Limited Support

Microsoft no longer supports Windows 2000Windows Vista and Windows XP. With this in mind, we’re unable to support Revu 7 because it only runs on unsupported versions of Windows. Please refer to our compatibility chart and Technical Services Overview for more details.


Bluebeam Q 4.x (Deprecated)

Related Articles